<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>My THR </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_my::sidebar_my" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-money-bill" style="color: #9B7536;"></i>
                    My THR
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-12">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th class="border-0" colspan="3">
                            List Of THR
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td class="border-0" style="width: 50px">Name</td>
                        <td class="border-0" style="width: 5px">:</td>
                        <td class="border-0" th:text="${employess.getFullName()}"></td>
                    </tr>
                    <tr>
                        <td class="border-0" style="width: 50px">Number</td>
                        <td class="border-0" style="width: 5px">:</td>
                        <td class="border-0" th:text="${employess.getNumber()}"></td>
                    </tr>
                    <tr>
                        <td class="border-0" style="width: 50px">Company</td>
                        <td class="border-0" style="width: 5px">:</td>
                        <td class="border-0" th:text="${employess.getCompanies().getCompanyName()}"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-md-12 table-responsive">
                <table class="table table-striped small shadow-sm">
                    <thead>
                    <tr>
                        <th class="border-dark border-start-0 border-end-0 text-end" style="width: 20px">No</th>
                        <th class="border-dark border-start-0 border-end-0 text-center">Year</th>
                        <th class="border-dark border-start-0 border-end-0 text-center">Month</th>
                        <th class="border-dark border-start-0 border-end-0 text-end">THR Gross</th>
                        <th class="border-dark border-start-0 border-end-0 text-end">Tax</th>
                        <th class="border-dark border-start-0 border-end-0 text-end">THR</th>
                        <th class="border-dark border-start-0 border-end-0 text-center" style="width: 20px">Slip</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="dataThrRun, row : ${listThrRun}">
                        <td class="align-middle text-end border-0" th:text="${row.index + 1}"></td>
                        <td class="align-middle text-center border-0" th:text="${dataThrRun.getTahun()}"></td>
                        <td class="align-middle text-center border-0" th:text="${dataThrRun.getBulan()}"></td>
                        <td class="align-middle text-end border-0" th:if="${dataThrRun.getPaySlip().toString().equals('AKTIF')}" th:text="${#numbers.formatDecimal(dataThrRun.getTotalThr(), 0, 'POINT', 2, 'COMMA')}"> </td>
                        <td class="align-middle text-end border-0" th:if="${dataThrRun.getPaySlip().toString().equals('NONAKTIF')}">-</td>
                        <td class="align-middle text-end border-0" th:if="${dataThrRun.getPaySlip().toString().equals('AKTIF')}" th:text="${#numbers.formatDecimal(dataThrRun.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}"> </td>
                        <td class="align-middle text-end border-0" th:if="${dataThrRun.getPaySlip().toString().equals('NONAKTIF')}">-</td>
                        <td class="align-middle text-end border-0" th:if="${dataThrRun.getPaySlip().toString().equals('AKTIF')}" th:text="${#numbers.formatDecimal(dataThrRun.getThrBersih(), 0, 'POINT', 2, 'COMMA')}"> </td>
                        <td class="align-middle text-end border-0" th:if="${dataThrRun.getPaySlip().toString().equals('NONAKTIF')}">-</td>
                        <td class="align-middle text-center border-0">
                            <a th:if="${dataThrRun.getPaySlip().toString().equals('AKTIF')}" th:href="@{/my/thr/view(bulan = ${dataThrRun.getBulan()}, tahun = ${dataThrRun.getTahun()})}" class="btn btn-sm btn-primary">View</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </main>
</main>
</body>
</html>
